Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.rs
Interface RegistryFactory

All Superinterfaces:
  org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  RegistryFactoryImpl

    public interface RegistryFactory

extends org.eclipse.emf.ecore.EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `RegistryPackage`

Field Summary
`static RegistryFactory` | `eINSTANCE` The singleton instance of the factory.

Method Summary
`DocumentRoot` | `createDocumentRoot()` Returns a new object of class 'Document Root'.
`RegistryErrorListType` | `createRegistryErrorListType()` Returns a new object of class 'Error List Type'.
`RegistryErrorType` | `createRegistryErrorType()` Returns a new object of class 'Error Type'.
`RegistryRequestType` | `createRegistryRequestType()` Returns a new object of class 'Request Type'.
`RegistryResponseType` | `createRegistryResponseType()` Returns a new object of class 'Response Type'.
`RegistryPackage` | `getRegistryPackage()` Returns the package supported by this factory.

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, create, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eINSTANCE

    static final RegistryFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createDocumentRoot

    DocumentRoot createDocumentRoot()

  Returns a new object of class 'Document Root'.

  Returns:
    a new object of class 'Document Root'.

### createRegistryErrorListType

    RegistryErrorListType createRegistryErrorListType()

  Returns a new object of class 'Error List Type'.

  Returns:
    a new object of class 'Error List Type'.

### createRegistryErrorType

    RegistryErrorType createRegistryErrorType()

  Returns a new object of class 'Error Type'.

  Returns:
    a new object of class 'Error Type'.

### createRegistryRequestType

    RegistryRequestType createRegistryRequestType()

  Returns a new object of class 'Request Type'.

  Returns:
    a new object of class 'Request Type'.

### createRegistryResponseType

    RegistryResponseType createRegistryResponseType()

  Returns a new object of class 'Response Type'.

  Returns:
    a new object of class 'Response Type'.

### getRegistryPackage

    RegistryPackage getRegistryPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD